Deactivate VA API

Deactivate VA directly using VA numbers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Deactivate VA API is called to remove any existing VA that already created using Charge API with payment type = "bank_transfer"/"echannel". Currently deactivate VA API are only available for Core API integrations.


Deactivate VA API Method

HTTP MethodEndpointDefinition
POSTv2/virtual-account/va-number/deactivateDelete VA using VA number as identifier.

Request

{
  "request_id": "DA12345ZXCV",
  "payment_type": "bank_transfer",
  "acquirer" : "BCA",
  "reason" : "Customer Request",
}

Request Header

FieldTypeRequiredDescription
Content-TypestringYesapplication/json
AuthorizationstringYesBasic [Base64({Server_Key}:)]

Request Body

FieldTypeRequiredDescription
request_idstringYesUnique identifier from the merchants. Acceptable length are 10-50 character.
payment_typestringYesMidtrans payment type for the VA transaction. Possible value : bank_transfer or echannel
acquirerstringYesAcquiring bank that issued the VA.
reasonstringYesReason for VA deactivation.

Response

{
  "status_code": 200,
  "status_message": "Success, VA number is deactivated",
  "merchant_id": "G123456",
  "va_number": "X123456",
  "request_id": "X123456",
  "transaction_time": "2026-01-01 01:01:01",
  "id": "82af6041-deca-4da7"
}
{
  "status_code": 401,
  "status_message": "Unkown Merchant server_key/id",
  "id": "82af6041-deca-4da7"
}
{
  "status_code": 401,
  "status_message": "One or more parameters in the payload is invalid",
  "id": "82af6041-deca-4da7",
	 "validation_message": "request_id must be between 10 and 50 characters",
}

Response Body

FieldTypeDescription
status_codestringHTTP status code from the request.
status_messagestringStatus response message information
merchant_idstringMerchant identifier.
va_numberstringVA number that requested to be deactivated based on the request payload.
request_idstringRequest ID from the merchant.
transaction_timestringDate-time when deactivation VA completed on Midtrans system.
Format : yyyy-MM-dd HH:mm:ss
idstringUnique identifier from Midtrans.
validation_messagestringResponse message for validation error. Will be only exist for validation error response.

Path Params
string
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain